<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Html - Forms, Tables and Semantic Html</title>
    </head>
    <body>
        <header>
            <h2 align="center">
                Html Entities
            </h2>
        </header>
        <!-- This section is for Html Table -->
        <main>
            
            <p>
                <em>Reserved characters in HTML (e.g. &lt; or &gt;) that can be mixed with HTML code</em>
            </p>
            <section>
           <table border="gray 1 solid">
            <thead>
                <tr>
                    <th colspan="2">Entity</th>
                    <th rowspan="2">Description</th>
                </tr>
                <tr>
                    <th>Symbol</th>
                    <th>Name/Number</th>
                </tr>
            </thead>

            <tbody>
                <tr>
                    <td>&lt;;</td>
                    <td>lt</td>
                    <td>Less Than</td>
                </tr>
                <tr>
                    <td>&gt;;</td>
                    <td>gt</td>
                    <td>Greater Than</td>
                </tr>
                <tr>
                    <td>&#8369;</td>
                    <td>#8369</td>
                    <td>peso sign</td>
                </tr>
                <tr>
                    <td>&amp;</td>
                    <td>amp</td>
                    <td>ampersand</td>
                </tr>
                <tr>
                    <td>&quot;</td>
                    <td>quot</td>
                    <td>double quatation mark</td>
                </tr>
                <tr>
                    <td>&apos;</td>
                    <td>apos</td>
                    <td>single quatation mark(apostrophe)</td>
                </tr>
                <tr>
                    <td>&ntilde;</td>
                    <td>ntilde</td>
                    <td>Lower Tilde</td>
                </tr>
                <tr>
                    <td>&Ntilde;</td>
                    <td>Ntilde</td>
                    <td>Upper Tilde)</td>
                </tr>
            </tbody>

            <tfoot>
                <tr>
                    <th colspan="3">List of HTML Entities</th>                    
                </tr>
            </tfoot>
           </table>
        </main>
        </section>
        <!-- this section is for the HTML FORM -->
        
        <section>
            <h2 align="center">HTML Form</h2>
            <p><em>Input elements that make up a form.</em></p>
            <form action="#" method="#">
                <!-- Text Inputs 
                    label tag - create a text element that serve as label for the input field
                    type attribute will define 
                -->


                <label for="fullname">Full Name:</label>
                <input type="text" name="fullname" id="fullname" required>
                <br>
                <label for="birthdate">Birthdate:</label>
                <input type="date" name="birthdate" id="birthdate">
                <br>
                <label for="age">Age:</label>
                <input type="number" name="age" id="age">
                <br>
                <label for="gender">Gender:</label>
                <select name="gender" id="gender">
                    <option value="male">Male</option>
                    <option value="female">Female</option>
                </select>
                <br>
                <label for="suggestion">Suggestion:</label>

                <!-- textarea "cols rows" are base on Font Size  -->
                <textarea name="suggestion" id="suggestion" cols="15" rows="2"></textarea>
                <br>
                <label for="civilstatus">Civil Status:</label>
                <!-- Radio button NAME = GROUP -->
                <input type="radio" name="civilstatus" value="single"><label for="single">single</label>
                <input type="radio" name="civilstatus" value="married"><label for="married">married</label>
                <input type="radio" name="civilstatus" value="widow"><label for="widow">widow</label>
                <br>
                <label for="job">Jobs:</label><br>
                <input type="checkbox" name="job1" id="developer" value="developer"><label for="job1">Developer</label>
                <input type="checkbox" name="job2" id="student"><label for="student">Student</label>
                <input type="checkbox" name="job3" id="manager"><label for="manager">Developer</label>
                <br>

                <button>Submit</button>
                <button type="Reset">Reset</button>

            </form>
        </section>
    </body>
</html>
